
Redmine - Patch #28929

Update roadie-rails to ~> 1.3.0

2018-06-01 22:08 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.0   

Description

1.3.0

Dropped support for Rubunius and JRuby.

They do not have many users and are a constant source of problems. If this is a problem for you, let me know and I might reconsider.

Add support for Rails 5.2.

https://github.com/Mange/roadie-rails/blob/master/Changelog.md

Related issues:

Related to Redmine - Feature #25807: Upgrade to roadie-rails 1.2 Closed

Related to Redmine - Feature #23630: Migrate to Rails 5.2 Closed

Associated revisions

Revision 17355 - 2018-06-02 04:18 - Go MAEDA

Update roadie-rails to ~> 1.3.0 (#28929).

Patch by Pavel Rosický.

History

#1 - 2018-06-02 03:56 - Go MAEDA

- Related to Feature #25807: Upgrade to roadie-rails 1.2 added

#2 - 2018-06-02 03:58 - Go MAEDA

Pavel Rosický wrote:

Dropped support for Rubunius and JRuby.

They do not have many users and are a constant source of problems. If this is a problem for you, let me know and I might reconsider.

 I think there is no problem because Redmine does not support both Rubinius and JRuby.

#3 - 2018-06-02 04:13 - Go MAEDA

- Related to Patch #28933: Migrate to Rails 5.2 added

#4 - 2018-06-02 04:19 - Go MAEDA

- Subject changed from [Rails 5.2] update roadie-rails to ~> 1.3.0 to Update roadie-rails to ~> 1.3.0

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 4.0.0

Committed. Thank you for your contribution.

#5 - 2018-06-23 07:24 - Go MAEDA

- Related to deleted (Patch #28933: Migrate to Rails 5.2)

#6 - 2018-06-23 07:25 - Go MAEDA

- Related to Feature #23630: Migrate to Rails 5.2 added
